Bug 495084 - Incorrect screen resolution used with MGA G200eW graphics card
Incorrect screen resolution used with MGA G200eW graphics card
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Adam Jackson
: Regression
Depends On:
  Show dependency treegraph
Reported: 2009-04-09 13:23 EDT by Alan Matsuoka
Modified: 2010-10-23 04:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-04 09:57:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sosreport-McBean-Cert-186817-4d6c3f.tar.bz2 (1018.27 KB, application/x-bzip2)
2009-04-09 13:23 EDT, Alan Matsuoka
no flags Details
dmesg.MB (120.49 KB, text/plain)
2009-04-09 13:24 EDT, Alan Matsuoka
no flags Details
lspci.txt (1.82 KB, text/plain)
2009-04-09 13:24 EDT, Alan Matsuoka
no flags Details
varlog.MB (939.50 KB, text/plain)
2009-04-09 13:25 EDT, Alan Matsuoka
no flags Details
X11_DIR_MB.tar.gz (65.99 KB, application/x-gzip)
2009-04-09 13:26 EDT, Alan Matsuoka
no flags Details
Xorg.0.log (34.42 KB, text/plain)
2009-04-09 13:27 EDT, Alan Matsuoka
no flags Details

  None (edit)
Description Alan Matsuoka 2009-04-09 13:23:48 EDT
Created attachment 338950 [details]

Hi Seg,

Got another possible bug dealing with the mga driver and the G200eW grahics card.  This may be related to IT# 283621 - the driver does not auto load, but needs to be manually loaded.  Dell put in a FR for this driver to get it into 4.8.  The details for that FR follow:

I believe that these are the pci-ids for the card

0532  MGA G200eW WPCM450
1028 0235  PowerEdge R710 MGA G200eW WPCM450
1028 0236  PowerEdge R610 MGA G200eW WPCM450
1028 0237  PowerEdge T610 MGA G200eW WPCM450
1028 0287  PowerEdge M610 MGA G200eW WPCM450
1028 029c  PowerEdge M710 MGA G200eW WPCM450

Here is the FR bugzilla:

3. Business Justification:
a. Why is this feature needed?
To support the graphics controller on upcoming Dell 11G hardware scheduled to
be release Dec 2008.
b. What hardware does this enable?
Matrox G200. PCI IDs: 012b:0532

Description of problem:
On one of our development platforms with MGA G200eW grapics card, the screen resolution set by system-config-display is not enforced by the mga driver.

How reproducible:

Steps to Reproduce:
1. Install RHEL 4.8 Beta1 32 bit on the system with MGA G200eW card
2. Upgrade the kernel to snapshot 2 one 2.6.9-85.ELhugemem
3. Configure screen resolution with system-config-display to 1024x768. Use color scheme as "thousands of colors". The monitor used is Dell E1773FP.
4. Restart X. Check xorg.log. The correct resolution is not used.

Actual results:
Incorrect resolution is used--> video certification with this system failes with hts suite 5.3

Expected results:
The correct resolution should be used

Additional info:
dmesg and X config and log files are attached.
Affects both 32 and 64 bit systems.
Comment 1 Alan Matsuoka 2009-04-09 13:24:24 EDT
Created attachment 338952 [details]
Comment 2 Alan Matsuoka 2009-04-09 13:24:53 EDT
Created attachment 338953 [details]
Comment 3 Alan Matsuoka 2009-04-09 13:25:59 EDT
Created attachment 338954 [details]
Comment 4 Alan Matsuoka 2009-04-09 13:26:37 EDT
Created attachment 338955 [details]
Comment 5 Alan Matsuoka 2009-04-09 13:27:19 EDT
Created attachment 338956 [details]
Comment 14 Chris Ward 2009-04-29 02:55:57 EDT
It is requested for 4.8.z, but it has not yet been approved. I'll ask for an update.
Comment 15 Jiri Skrabal 2009-04-29 08:03:04 EDT
It must be approved for 4.9 first before we get it into 4.8.z. I don't believe we will get that approval before 4.8 GA. Contact Ludek Smid for more details.
Comment 16 Chris Ward 2009-04-29 08:10:30 EDT
Dell, contact your partner manager to make sure this issue gets the attention you believe it deserves.
Comment 21 Chris Ward 2009-05-04 10:09:47 EDT
Dell, xorg-x11-6.8.2-1.EL.63 is the version we will be shipping at 4.8 GA. If you have verified that this issue has been resolved in that version, it will remain resolved at 4.8 GA. 

I believe that there is no need to re-test at this point. To be absolutely sure that this issue will remain fixed at GA, however, if you are still a bit nervous, please test the latest (likely final) 4.8 release candidate available at partners.redhat.com. Please re-open this bug if the issue is unresolved.

Note You need to log in before you can comment on or make changes to this bug.